> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Price Book

> Creates a new price book



## OpenAPI

````yaml swagger.json post /pricebooks
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks:
    post:
      summary: Create Price Book
      description: Creates a new price book
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePriceBookRequest'
      responses:
        '201':
          description: Price book created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceBook'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreatePriceBookRequest:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        effectiveStartDate:
          type: string
          description: >-
            ISO date string (e.g. "2025-01-01"). Requires
            PRICE_BOOK_EFFECTIVE_DATES feature.
        effectiveEndDate:
          type: string
          description: >-
            ISO date string (e.g. "2025-12-31"). Requires
            PRICE_BOOK_EFFECTIVE_DATES feature.
      required:
        - name
        - description
    PriceBook:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        bundleOptionId:
          type: string
          nullable: true
        isDeleted:
          type: boolean
        effectiveStartDate:
          type: string
          nullable: true
          description: >-
            ISO date string (e.g. "2025-01-01"). Requires
            PRICE_BOOK_EFFECTIVE_DATES feature.
        effectiveEndDate:
          type: string
          nullable: true
          description: >-
            ISO date string (e.g. "2025-12-31"). Requires
            PRICE_BOOK_EFFECTIVE_DATES feature.
      required:
        - id
        - accountId
        - name
        - description
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````